Get invoice using specific key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
invoice_view| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| company_email |
Company email of the invoice |
string | |
| company_phone |
Company phone of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| invoice_details |
Details of invoice |
Collection of invoice_details_view | |
| db_payment_method_name |
Payment method name of the invoice |
string | |
| db_payment_method_pm |
Payment method pm of the invoice |
string |
Response Formats
application/json, text/json
{
"id": "e874cd79-0a64-479e-b13d-e87ecc95a31f",
"internal_number": "sample string 2",
"company_id": "b8fa4103-6909-4b0e-a79e-b5fb7bb37575",
"company_code": "sample string 4",
"company_name": "sample string 5",
"company_email": "sample string 6",
"company_phone": "sample string 7",
"date_create": "2026-10-26T11:28:04.0098087+00:00",
"memo": "sample string 9",
"description": "sample string 10",
"invoice_type": "sample string 11",
"source_type": "sample string 12",
"source_id_in_table": "60780186-f29b-43f3-a594-bee9831363bc",
"total_lines": 14,
"total_amount": 15.0,
"db_currency_id": "83e1cdf9-9c4f-4b20-95f4-9dba137ad04c",
"total_taxes": 17.0,
"due_date": "2026-10-26T11:28:04.0098087+00:00",
"source_db_table_name": "sample string 19",
"delivery_name": "sample string 20",
"delivery_street": "sample string 21",
"delivery_city": "sample string 22",
"delivery_zip": "sample string 23",
"delivery_db_country_name": "sample string 24",
"reference_back_office": "sample string 25",
"db_payment_method_id": "60d0e03a-6247-40be-901e-c01537436127",
"id2": 27,
"customer_remarks": "sample string 28",
"bill_to_party": "sample string 29",
"bill_to_contact_id": "e42c8a9b-3510-4ff1-b5aa-7b55c322f5f5",
"contact_id": "983ddf2e-a7e9-4984-b634-67a4abd56ea2",
"article_price_label_id": "9a80d70c-a383-4507-b7d2-7d3015f9ee11",
"db_language_id": "171b290e-e7bc-46fd-b61f-b0cf55df706a",
"invoice_status_id": "854e5bbf-585f-49ce-a6aa-1f99e53a07ab",
"invoice_status_name": "sample string 35",
"discount_group_id": "a2e1178f-46c9-41e9-927f-585c2c0127b6",
"discount": 37.0,
"email": "sample string 38",
"invoice_number": "sample string 39",
"bill_to_company_id": "1e5571de-9fd9-4e11-ab39-fac1edd941bf",
"dateutc_confirmation": "2026-10-26T11:28:04.0098087+00:00",
"modified_dateutc": "2026-10-26T11:28:04.0098087+00:00",
"invoice_details": [
{
"id": "84ea57a8-60d2-4b96-8b93-bf45c0e015b2",
"invoice_id": "ecc96df6-1b67-4e53-817a-7f4daf11e10e",
"article_id": "82a16bfe-21b8-46ad-a0c0-e356873f1dba",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"source_db_table_name": "sample string 17",
"source_id_in_table": "342fdabe-6aa9-43b8-bf31-a8f24f6e4515",
"serial_number": "sample string 19",
"no_warranty_reason": "sample string 20",
"is_under_warranty": true,
"discount_percentage": 22.0,
"cost_price": 23.0,
"company_vat_id": "adbf066b-43ee-4e3c-9edf-467e158d1390",
"company_vat_code": "sample string 25",
"modified_dateutc": "2026-10-26T11:28:04.0098087+00:00"
},
{
"id": "84ea57a8-60d2-4b96-8b93-bf45c0e015b2",
"invoice_id": "ecc96df6-1b67-4e53-817a-7f4daf11e10e",
"article_id": "82a16bfe-21b8-46ad-a0c0-e356873f1dba",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"source_db_table_name": "sample string 17",
"source_id_in_table": "342fdabe-6aa9-43b8-bf31-a8f24f6e4515",
"serial_number": "sample string 19",
"no_warranty_reason": "sample string 20",
"is_under_warranty": true,
"discount_percentage": 22.0,
"cost_price": 23.0,
"company_vat_id": "adbf066b-43ee-4e3c-9edf-467e158d1390",
"company_vat_code": "sample string 25",
"modified_dateutc": "2026-10-26T11:28:04.0098087+00:00"
}
],
"db_payment_method_name": "sample string 43",
"db_payment_method_pm": "sample string 44"
}